summaryrefslogtreecommitdiffstats
path: root/util/bin/with
diff options
context:
space:
mode:
Diffstat (limited to 'util/bin/with')
-rwxr-xr-xutil/bin/with6
1 files changed, 6 insertions, 0 deletions
diff --git a/util/bin/with b/util/bin/with
new file mode 100755
index 00000000..97893faf
--- /dev/null
+++ b/util/bin/with
@@ -0,0 +1,6 @@
+#! /bin/sh
+set -euf
+ENV="${env_dir-$HOME/.env.d}/$1"
+shift
+. "$ENV"
+exec "$@"